Subject: bug#25147: 25.1; rgba font rendering not honoring fontconfig

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 17 Nov 2019 08:35:00 +0100

Yuri D'Elia <[email-masked]> writes:

> To test, remove any X resource (xrdb -remove), and install the following
> fontconfig snippet somewhere in ~/.config/fontconfig/conf.d:
>
> <?xml version="1.0"?>
> <fontconfig>
>   <match target="font">
>     <edit name="hinting" mode="assign">
>       <bool>true</bool>
>     </edit>
>     <edit name="rgba" mode="assign">
>       <const>rgb</const>
>     </edit>
>   </match>
> </fontconfig>

fontconfig on my system didn't seem to want to look in that directory,
so I put it in

/usr/share/fontconfig/conf.avail/09-foo.conf

> Run emacs, and notice how subpixel hinting is not enabled.
> Run with FC_DEBUG=5 set in the env for confirmation that the rgba=rgb is
> in effect.

And it was loaded:

Add Rule(kind:1, name: /usr/share/fontconfig/conf.avail/09-foo.conf) [edit]
        Edit hinting Assign true;
        Edit rgba Assign rgb;

I'm able to reproduce this bug in Emacs 27 -- I should probably get
colour fringing with this setting, but I'm not.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no